# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.sites
Class SiteEntry

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.BaseEntry<SiteEntry>
                  com.google.gdata.data.sites.SiteEntry

All Implemented Interfaces:
  Extension, IAtom, IEntry, Kind.Adaptable, Kind.Adaptor

    public class SiteEntry

extends BaseEntry<SiteEntry>

An entry representing a site.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.BaseEntry
`BaseEntry.AtomHandler, BaseEntry.EntryState`

Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint
`ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary

Fields inherited from class com.google.gdata.data.BaseEntry
`state`

Fields inherited from class com.google.gdata.data.ExtensionPoint
`xmlBlob`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`SiteEntry()` Default mutable constructor.
`SiteEntry(BaseEntry<?> sourceEntry)` Constructs a new instance by doing a shallow copy of data from an existing `BaseEntry` instance.

Method Summary
`void` `declareExtensions(ExtensionProfile extProfile)` Declares the set of expected Extension types for an ExtensionPoint within the target extension profile.
`Link` `getEntryPostLink()` Returns the link that provides the URI that can be used to post new entries to the feed.
`SiteName` `getSiteName()` Returns the site name.
`Link` `getSourceLink()` Returns the source sites link.
`Theme` `getTheme()` Returns the theme.
`java.util.List<Link>` `getWebAddressMappingLinks()` Returns the webAddressMapping sites link.
`boolean` `hasSiteName()` Returns whether it has the site name.
`boolean` `hasTheme()` Returns whether it has the theme.
`void` `setSiteName(SiteName siteName)` Sets the site name.
`void` `setTheme(Theme theme)` Sets the theme.
`java.lang.String` `toString()`
`protected void` `validate()` Checks the attributes to see if there are any problems.

Methods inherited from class com.google.gdata.data.BaseEntry

`addAdaptor, addHtmlLink, addLink, addLink, delete, generate, generateAtom, generateRss, getAdaptedEntry, getAdaptor, getAdaptors, getAuthors, getCanEdit, getCategories, getContent, getContentHandlerInfo, getContributors, getEdited, getEditLink, getEtag, getHandler, getHtmlLink, getId, getKind, getLink, getLinks, getLinks, getMediaEditLink, getPlainTextContent, getPubControl, getPublished, getResumableEditMediaLink, getRights, getSelectedFields, getSelf, getSelfLink, getService, getSource, getSummary, getTextContent, getTitle, getUpdated, getVersionId, isDraft, parseAtom, parseAtom, parseAtom, readEntry, readEntry, removeLinks, removeLinks, setCanEdit, setContent, setContent, setDraft, setEdited, setEtag, setId, setKind, setPubControl, setPublished, setRights, setSelectedFields, setService, setSource, setSummary, setTitle, setUpdated, setVersionId, update, visitChildren`

Methods inherited from class com.google.gdata.data.ExtensionPoint

`addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, generate, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, initializeArbitraryXml, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild`

Methods inherited from class com.google.gdata.data.AbstractExtension
`consumeAttributes, disableStrictValidation, enableStrictValidation, eq, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, putAttributes, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SiteEntry

    public SiteEntry()

  Default mutable constructor.

### SiteEntry

    public SiteEntry(BaseEntry<?> sourceEntry)

  Constructs a new instance by doing a shallow copy of data from an existing `BaseEntry` instance.

  Parameters:
    `sourceEntry` - source entry

Method Detail

### declareExtensions

    public void declareExtensions(ExtensionProfile extProfile)

  Description copied from class: `ExtensionPoint`
  Declares the set of expected Extension types for an ExtensionPoint within the target extension profile. The base implementation does not declare any extensions, but can be overridden by specific types of ExtensionPoints that always contain a well-defined set of extensions.

  Specified by:
    `declareExtensions` in interface `Kind.Adaptor`
  Overrides:
    `declareExtensions` in class `ExtensionPoint`
  Parameters:
    `extProfile` - the ExtensionProfile to initialize.
  See Also:
    `ExtensionProfile.addDeclarations(Kind.Adaptor)`

### getSiteName

    public SiteName getSiteName()

  Returns the site name.

  Returns:
    site name

### setSiteName

    public void setSiteName(SiteName siteName)

  Sets the site name.

  Parameters:
    `siteName` - site name or `null` to reset

### hasSiteName

    public boolean hasSiteName()

  Returns whether it has the site name.

  Returns:
    whether it has the site name

### getTheme

    public Theme getTheme()

  Returns the theme.

  Returns:
    theme

### setTheme

    public void setTheme(Theme theme)

  Sets the theme.

  Parameters:
    `theme` - theme or `null` to reset

### hasTheme

    public boolean hasTheme()

  Returns whether it has the theme.

  Returns:
    whether it has the theme

### getEntryPostLink

    public Link getEntryPostLink()

  Returns the link that provides the URI that can be used to post new entries to the feed.

  Returns:
    Link that provides the URI that can be used to post new entries to the feed or `null` for none.

### getSourceLink

    public Link getSourceLink()

  Returns the source sites link.

  Returns:
    Source sites link or `null` for none.

### getWebAddressMappingLinks

    public java.util.List<Link> getWebAddressMappingLinks()

  Returns the webAddressMapping sites link.

  Returns:
    WebAddressMapping sites link.

### validate

    protected void validate()

  Description copied from class: `AbstractExtension`
  Checks the attributes to see if there are any problems. Default implementation does nothing, though generally this is discouraged unless there really are no restrictions.

  Overrides:
    `validate` in class `AbstractExtension`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`